#ifndef _MAIN_H_
#define _MAIN_H_

//#define TWI_FREQ 400L

#define SCREEN_ADDRESS 0x3C // < See datasheet for Address; 0x3D for 128x64, 0x3D for 128x32
#define SCREEN_WIDTH    128
#define SCREEN_HEIGHT    32
#define SCREEN_RESET     -1
#define SCREEN_ROTATION   0

// VL53L1X related
#define XSHUT_PIN     1
#define IRQ_PIN       0

// Rotary Encoder related
#define RE_CLK        7
#define RE_DATA       6
#define RE_PRESS      5

#define LED1          16
#define LED2          15
#define LED3          14

// EEPROM related
#define EEPROM_ADDRESS 0

void config();

void startLoopDisplay();
void updateLoopDisplay();
void startConfigDisplay();
void updateConfigDisplay(bool calibrate);


#endif